# OpenStack

# Python bindings to the Gnocchi API

This is a client for gnocchi API. There’s a Python API (the `gnocchiclient` module), and a command-line script (installed as gnocchi). Each implements the entire Gnocchi API.

See also

You may want to read the Gnocchi Developer Guide – the overview, at least – to get an idea of the concepts. By understanding the concepts this library should make more sense.

Contents:

- Installation
- The gnocchi shell utility
  - Examples
- The `gnocchiclient` Python API
  - Usage
  - Reference
- Contributing

# Indices and tables

- Index
- Module Index
- Search Page